package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayRequireAttendanceReport;
import com.ruoyi.pay.domain.vo.PayRequireAttendanceReportVo;
import com.ruoyi.pay.domain.bo.PayRequireAttendanceReportBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 应出勤报Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayRequireAttendanceReportService {

    /**
     * 查询应出勤报
     */
    PayRequireAttendanceReportVo queryById(Long id);

    /**
     * 查询应出勤报列表
     */
    TableDataInfo<PayRequireAttendanceReportVo> queryPageList(PayRequireAttendanceReportBo bo, PageQuery pageQuery);

    /**
     * 查询应出勤报列表
     */
    List<PayRequireAttendanceReportVo> queryList(PayRequireAttendanceReportBo bo);

    /**
     * 新增应出勤报
     */
    Boolean insertByBo(PayRequireAttendanceReportBo bo);

    /**
     * 修改应出勤报
     */
    Boolean updateByBo(PayRequireAttendanceReportBo bo);

    /**
     * 校验并批量删除应出勤报信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    String importAttendanceReport(List<PayRequireAttendanceReportVo> requireAttendanceReports, boolean updateSupport, String date,Long tenantId);
}
